Comments

511 Comments

There are packages in rawhide broken by this update: https://koschei.fedoraproject.org/affected-by/python3-hypothesis?epoch1=0&version1=4.23.8&release1=7.fc32&epoch2=0&version2=5.8.0&release2=2.fc33&collection=f33

Hence, pushing this to Fedora 32 this late in the release cycle is not a good idea.

And podman once again doesn't strat.

71175. 14.4.2020 01:15:12 bash system_u:system_r:container_t:s0:c97,c349 0 chr_file read write system_u:object_r:container_file_t:s0:c97,c349 denied 1777
71176. 14.4.2020 01:15:12 bash system_u:system_r:container_t:s0:c97,c349 0 chr_file read write system_u:object_r:container_file_t:s0:c97,c349 denied 1778
71177. 14.4.2020 01:15:12 bash system_u:system_r:container_t:s0:c97,c349 0 chr_file read write system_u:object_r:container_file_t:s0:c97,c349 denied 1779
71178. 14.4.2020 01:15:12 bash system_u:system_r:container_t:s0:c97,c349 0 chr_file read write system_u:object_r:container_file_t:s0:c97,c349 denied 1780
71179. 14.4.2020 01:15:12 bash system_u:system_r:container_t:s0:c97,c349 0 file map system_u:object_r:fusefs_t:s0 denied 1781

The selinux-policy-targeted scriptlet takes several minutes (at least 3 but no more than 15), but the update succeeds at the end. aureport gives plenty of:

71174. 14.4.2020 01:08:57 restorecon unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 0 capability2 mac_admin unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 denied 1758

I've had container-selinux-2:2.130.0-1.fc32. Now I have container-selinux-2:2.131.0-1.fc32. I will try this update again.

Eclipse is installable on Fedora 31.

BZ#1800528 Modules make eclipse non-installable
karma

With container-selinux-2.131.0-1.fc32 from FEDORA-2020-1273245c66, I was able to update just fine.

Fixes #1823064 for me.

Do other packages install without problems?

This has been so far the only one I've seen this error in.

BZ#1822833 fedora-release and fedora-repos needs updating for f32 final
karma
Running transaction
  Preparing        :                                                                                                                                                                                                         1/1 
  Upgrading        : crun-0.13-2.fc32.x86_64                                                                                                                                                                                 1/2 
error: lsetfilecon: (/usr/bin/crun;5e906cbf, system_u:object_r:container_runtime_exec_t:s0) Invalid argument
error: Plugin selinux: hook fsm_file_prepare failed

With selinux-policy-targeted-3.14.5-32.fc32.noarch

The same.

I'm getting hundreds of AVC denial popups during the scriptlet of selinux-policy-targeted-3.14.5-35.fc32. I know this is now obsoleted, but my dnf still picked it up.

I plan to test this trough Koschei, but the new build did not yet hit the repos. Would you mind cancelling the time based push?

karma

Found no regressions after 2 days usage.

So far so good after 5 days.

Seems to work just fine.

karma
$ dnf --refresh repoquery --repo=rawhide{,-source} --whatrequires python3-flaky
pipenv-0:2018.11.26-13.fc32.src
python-ipykernel-0:5.1.4-1.fc33.src

🎉🎉🎉

Also tested one dnf update and it worked fine. As well as dnf distro-sync.

BZ#1812596 repoquery suddenly missing results in --whatrequires on Fedora 32+ (seem to be related to virtual provides)

Using xfce4-power-manager for 3 weeks and so far everything is good.